Subject: abcde: Does not work on single track CD not in database

From: Helge Kreutzmann <[email-masked]>
Date: Mon, 3 Sep 2018 07:45:48 +0200

Package: abcde
Version: 2.9.2-1
Severity: normal

abcde works fine for multi track CDs. If they are not in the database,
I need to provide the disc information manually.

Now I have a single track CD where abcde consistently (even after
ejecting the CD multiple times and rebooting) reports:

Executing customizable pre-read function... done.
Getting CD track info... Insufficient or missing discinfo data.
[ERROR] abcde: abcde-musicbrainz-tool failed to run; ABORT

If I use a different tool, e.g. goobox, I need to manually provide the
disc information but otherwise the track is extracted just fine.

So obviously if abcde cannto determine the discinfo it should just ask
for it even in the single track case.

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages abcde depends on:
ii  cd-discid                       1.4-1+b1
ii  cdparanoia                      3.10.2+debian-13
ii  lame                            3.100-2+b1
ii  libmusicbrainz-discid-perl      0.04-1
ii  libwebservice-musicbrainz-perl  1.0.4-2
ii  sensible-utils                  0.0.12
ii  vorbis-tools                    1.4.0-10.1
ii  wget                            1.19.5-1

Versions of packages abcde recommends:
pn  bsd-mailx                         <none>
pn  glyrc                             <none>
ii  imagemagick                       8:6.9.10.8+dfsg-1
ii  imagemagick-6.q16 [imagemagick]   8:6.9.10.8+dfsg-1
ii  libperl5.24 [libdigest-sha-perl]  5.24.1-3+deb9u4
ii  perl [libdigest-sha-perl]         5.26.2-7
ii  vorbis-tools                      1.4.0-10.1

Versions of packages abcde suggests:
ii  atomicparsley    0.9.6-1+b1
pn  distmp3          <none>
ii  eject            2.1.5+deb1+cvs20081104-13.2
ii  eyed3            0.8.5-1
ii  id3              1.1.0-1
ii  id3v2            0.1.12+dfsg-1
ii  mkcue            1-5+b1
pn  mp3gain          <none>
pn  normalize-audio  <none>
ii  vorbisgain       0.37-2+b1

-- no debconf information

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/